#!/bin/sh
# checks the platform
file=$1
if [ ! -f ${file} ]; then
    echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - File ${file} to determine platform not found"
    exit 1
fi
platform=`cat ${file} | tr -d '\n\r '`
if [ ${platform} = "armel" ]; then
    if [ -z $(uname -m | egrep -oe 'arm.*') ]; then
        echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - Wrong platform package. Install the i386 package instead."
        exit 1
    fi
elif [ ${platform} = "i386" ]; then
    if [ -z $(uname -m | egrep -oe 'i[0-9]{1}86') ]; then
        echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - Wrong platform package. Install the armel package instead (e.g. for IPxx10)."
        exit 1
    fi
else 
    echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - Unknown platform ${platform}."
    exit 1
fi